Bug 607737 - Fedora 14 randomly freezes when using nouveau nvidia driver
Summary: Fedora 14 randomly freezes when using nouveau nvidia driver
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 17:09 UTC by Derek P. Moore
Modified: 2012-08-07 20:11 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-07 20:11:49 UTC


Attachments (Terms of Use)
/var/log/messages (1.19 MB, application/octet-stream)
2010-06-24 17:09 UTC, Derek P. Moore
no flags Details
second /var/log/messages (194.00 KB, text/plain)
2010-06-24 17:32 UTC, Derek P. Moore
no flags Details

Description Derek P. Moore 2010-06-24 17:09:03 UTC
Created attachment 426652 [details]
/var/log/messages

Description of problem:
I have a new Dell Latitude E6510 i7 at work.  Today the computer started freezing when I was between tasks (while moving the mouse to switch windows, etc.).

I dug around in logs and only found hints to what is going on in /var/log/messages, with errors about pulseaudio, ALSA, & NVRM.

I'm attaching the 'messages' log, where you'll find the freezes at timestamps:

Jun 24 09:06:55
Jun 24 09:12:57
Jun 24 10:22:44
Jun 24 10:26:39
Jun 24 10:41:32
Jun 24 10:49:59

Now I've been running without a crash since 10:55.

How reproducible:
I cannot reproduce the freeze except by using the computer and waiting for it.

Actual results:
Computer freezes.

Expected results:
Computer shouldn't freeze, and it hasn't been freezing until today.

Comment 1 Derek P. Moore 2010-06-24 17:32:30 UTC
Created attachment 426660 [details]
second /var/log/messages

F13 has frozen twice more since submitting the ticket.

The first freeze has some kernel logs regarding:

kernel: BUG: soft lockup - CPU#2 stuck for 61s! [Xorg:1895]

which might be useful.

Comment 2 Stanislaw Gruszka 2010-06-25 13:38:50 UTC
You are using nvida binary module - we do not support such kernels. Switch back to nouveau and see if hang go away. If not go away configure kdump or netconsole to collect information where problem is.

Comment 3 Derek P. Moore 2010-06-25 15:23:22 UTC
I've confirmed that the problem was related to an update to kmod-nvidia in RPM Fusion updates-testing.  The freezing didn't start to occur until I got the last few days of updates from F13 which somehow caused problems with RPM Fusion's kmod-nvidia update.

I've downgraded to RPM Fusion's original kmod-nvidia for F13, and the lock-ups have ceased.

I've taken this issue over to RPM Fusion's bugzilla:

https://bugzilla.rpmfusion.org/show_bug.cgi?id=1302

Thanks for your time & attention!

Comment 4 Stanislaw Gruszka 2010-06-26 11:01:48 UTC
Ok, this is not a bug for us :)

Comment 5 Derek P. Moore 2010-07-13 14:46:35 UTC
Actually, this does seem to be a bug for you guys...  :)  Sorry!

After the initial problems, I ran the nVidia 256.35 proprietary driver for a while, with some increased stability.  But then lock-ups started again so I switched to the nouveau driver, where lock-ups still occur.

Lock-ups or freezes are sporadic, the box will be stable for a week or two, then it will crash constantly for a day or two, and so on.

This is what I keep getting today with the nouveau driver (just before the crash, from /var/log/messages):

Jul 13 08:59:21 adbuster kernel: btusb_intr_complete: hci0 urb ffff8801088e6000 failed to resubmit (1)
Jul 13 08:59:21 adbuster kernel: btusb_bulk_complete: hci0 urb ffff88010881dcc0 failed to resubmit (1)
Jul 13 08:59:21 adbuster kernel: btusb_bulk_complete: hci0 urb ffff88010b0439c0 failed to resubmit (1)
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
...
Jul 13 08:59:22 adbuster kernel: [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 18
Jul 13 08:59:22 adbuster kernel: [drm:drm_edid_block_valid] *ERROR* Raw EDID:
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel:
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 127/7 Mthd 0x1ffc Data 0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO_INTR 0xffefeffe - Ch 127
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PFIFO still angry after 101 spins, halt
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: AIII, invalid/inactive channel id 128
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PGRAPH_NOTIFY - Ch -1/7 Class 0xffffffff Mthd 0x1ffc Data 0xffffffff:0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: AIII, invalid/inactive channel id 128
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PGRAPH_COMPUTE_QUERY - Ch -1/7 Class 0xffffffff Mthd 0x1ffc Data 0xffffffff:0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: AIII, invalid/inactive channel id 128
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ILLEGAL_MTHD - Ch -1/7 Class 0xffffffff Mthd 0x1ffc Data 0xffffffff:0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: AIII, invalid/inactive channel id 128
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ILLEGAL_CLASS - Ch -1/7 Class 0xffffffff Mthd 0x1ffc Data 0xffffffff:0xffffffff
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: AIII, invalid/inactive channel id 128
Jul 13 08:59:22 adbuster kernel: [drm] nouveau 0000:01:00.0: PGRAPH_DOUBLE_NOTIFY - Ch -1/7 Class 0xffffffff Mthd 0x1ffc Data 0xffffffff:0xffffffff
Jul 13 08:59:23 adbuster kernel: [drm] nouveau 0000:01:00.0: DDC responded, but no EDID for DisplayPort-2

Comment 6 Ben Skeggs 2010-07-14 22:41:24 UTC
The fact that the NVIDIA binary driver still has issues (from its logs, it looks like the GPU reports the same error to it that it does to us, but they deal with it a bit better), and that other devices are failing leads me to think something else is wrong in your system.

Reassigning back to the kernel for further investigation, but I wouldn't entirely rule out a possible hardware problem either.

Comment 7 Max Kanat-Alexander 2011-03-15 19:57:40 UTC
I am seeing an identical problem on F14 and I also am using the nouveau driver. This seems to be happening once or twice a day. I can still move the mouse, but the system is unresponsive to clicks or keyboard input, and I have to hard reset to get a working system again.

After my most recent freeze and reboot, I see the same thing in /var/log/messages that Derek above does:

Mar 15 12:48:03 es-compy kernel: [81501.555842] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f834 Put 0x0001f840 State 0x80006310 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563401] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f840 Put 0x0001f850 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563467] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f850 Put 0x0001f860 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563486] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f860 Put 0x0001f870 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563503] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f870 Put 0x0001f880 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563516] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f880 Put 0x0001f890 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563557] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f890 Put 0x0001f8a0 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563572] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f8a0 Put 0x0001f8b0 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563663] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f8b0 Put 0x0001f8c0 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563693] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f8c0 Put 0x0001f8d0 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563755] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f8d0 Put 0x0001f8e0 State 0x80000000 Push 0x00000000
Mar 15 12:48:03 es-compy kernel: [81501.563775] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1 Get 0x0001f8e0 Put 0x000

(Yes, it's cut off there.)

Comment 8 Max Kanat-Alexander 2011-03-22 22:29:58 UTC
I have tested my memory with memtest86+ and there were no errors, so this is not a memory problem.

Comment 9 Bug Zapper 2011-06-01 15:40:37 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Max Kanat-Alexander 2011-06-02 19:23:39 UTC
Definitely at least affects Fedora 14.

Comment 11 Max Kanat-Alexander 2011-06-02 19:25:08 UTC
Switching to the proprietary driver that nVidia ships definitely fixes the problem.

Comment 12 Dave Jones 2011-10-11 19:40:19 UTC
f14 isn't going to get much beyond security fixes at this stage in its lifecycle.
Could you find out if this is still a problem in f15 or f16beta ?

Comment 13 Horst H. von Brand 2011-11-07 16:42:35 UTC
I get frequent freezes with nouveau on a Toshiba machine (Fedora 15, x86_64). lspci says:

VGA compatible controller: nVidia Corporation GT218 [GeForce 310M] (rev a2)

The freezes are rather common (twice today in the morning) with kernel-2.6.40.6-0.fc15.x86_64, much less so with vanilla 3.1.0-rc10 with essentially Fedora configuration. They seem to happen mostly while the machine is idle (similar to an older nouveau problem, that was traced back to DRM).

xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64

Comment 14 Fedora End Of Life 2012-08-07 20:11:53 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.